## ros-melodic-catkin-virtualenv 0.6.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1)
project(catkin_virtualenv)

find_package(catkin REQUIRED)

catkin_package(CFG_EXTRAS ${PROJECT_NAME}-extras.cmake)

catkin_python_setup()

install(DIRECTORY cmake
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  PATTERN ${PROJECT_NAME}-extras.cmake* EXCLUDE
)

set(python_scripts
  scripts/collect_requirements
  scripts/venv_init
  scripts/venv_check
  scripts/venv_lock
  scripts/venv_install
  scripts/venv_relocate
)

catkin_install_python(PROGRAMS ${python_scripts}
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(FILES requirements.txt
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

if(CATKIN_ENABLE_TESTING)
  find_package(roslint REQUIRED)
  roslint_python()
  roslint_python(${python_scripts})
  roslint_add_test()
endif()

=== requirements.txt ===
catkin-pkg==0.4.20        # via -r requirements.in, rospkg
distro==1.5.0             # via rospkg
docutils==0.16            # via catkin-pkg
nose==1.3.7               # via -r requirements.in
pyparsing==2.4.7          # via catkin-pkg
python-dateutil==2.8.1    # via catkin-pkg
rospkg==1.2.6             # via -r requirements.in
six==1.15.0               # via python-dateutil

=== debian/changelog ===
ros-melodic-catkin-virtualenv (0.6.1-1bionic) bionic; urgency=high

  * Correct dependencies and autoformat (#72 <https://github.com/locusrobotics/catkin_virtualenv/issues/72>)
    * Remove python-virtualenv dep
    * Add python2-dev
    * Lint
  * We're ok with any 44.x version of setuptools (#71 <https://github.com/locusrobotics/catkin_virtualenv/issues/71>)
    But not anything newer.
    Older versions don't appear to work reliably with pip==20.1.
    This helps when running a build of a package depending on catkin_virtualenv on OS which ship with an old version of setuptools (such as Ubuntu Xenial) when USE_SYSTEM_PACKAGES is not set to FALSE. In that situation, only specifying 'setuptools<45` will be true, as setuptools is installed (in the systems site packages), so pip will not upgrade it. Specifying a minimum version like this will force pip to always install an up-to-date version.
  * Contributors: G.A. vd. Hoorn, Paul Bovbel

 -- Paul Bovbel <pbovbel@locusrobotics.com>  Mon, 24 Aug 2020 04:00:00 -0000

ros-melodic-catkin-virtualenv (0.6.0-1bionic) bionic; urgency=high

  * Don't require catkin_package to be called before catkin_generate_virtualenv (#67 <https://github.com/locusrobotics/catkin_virtualenv/issues/67>)
  * Revert "Downgrade docutils so that boto works (#66 <https://github.com/locusrobotics/catkin_virtualenv/issues/66>)"
    This reverts commit 998cd6add2e43e12036d0db15a7c4d58fe3411cf.
  * Downgrade docutils so that boto works (#66 <https://github.com/locusrobotics/catkin_virtualenv/issues/66>)
    See https://github.com/boto/botocore/issues/1942 and related threads.
  * Make regex for Python bytecode more selective (#65 <https://github.com/locusrobotics/catkin_virtualenv/issues/65>)
    Fix regex to match only files ending in ".py[co]" and not files ending
    in "py[co]".
  * Remove user specific paths (#63 <https://github.com/locusrobotics/catkin_virtualenv/issues/63>)
    * Remove user specific paths
    * Change working directory of venv_lock command
    * Lock catkin_virtualenv base requirements
    Co-authored-by: Paul Bovbel <mailto:paul@bovbel.com>
  * RST-3172 Check that requirements file is locked (#62 <https://github.com/locusrobotics/catkin_virtualenv/issues/62>)
  * Two helpful hints (#61 <https://github.com/locusrobotics/catkin_virtualenv/issues/61>)
  * Fix input requirements warning (#58 <https://github.com/locusrobotics/catkin_virtualenv/issues/58>)
    * Only warn about INPUT_REQUIREMENTS if a package exports requirements to begin with
    * Update catkin_virtualenv/cmake/catkin_generate_virtualenv.cmake
    Co-authored-by: Andrew Blakey <mailto:ablakey@gmail.com>
    Co-authored-by: Andrew Blakey <mailto:ablakey@gmail.com>
  * Preserve symlinks during copy (#57 <https://github.com/locusrobotics/catkin_virtualenv/issues/57>)
  * Don't ignore unknown args
  * RST-3172 Refactor catkin_virtualenv to allow locking dependencies (#55 <https://github.com/locusrobotics/catkin_virtualenv/issues/55>)
    * Remove unused options
    * Fix regex for comments
    * Migrate scripts
    * Remove old code
    * Move common requirements to an export file
    * Minor cleanup
    * Remove requirement-parsing unit tests
    * Fix logging config
    * Fix test builds
    * Generate lock files
    * Fix tests
    * Move dh-virtualenv functions into separate file
    * Fix roslint
    * Update docs
    * Update requirements
    * CMake comments
    * Fix pip-args
    * README fixup
    * Correct ARG_LOCK_FILE handling
    * Remove headers
    * Use set comprehension
    * Add migration doc
    * Respin
  * Use exec to dive into python (#51 <https://github.com/locusrobotics/catkin_virtualenv/issues/51>)
  * First python2 issue of 2020 (#49 <https://github.com/locusrobotics/catkin_virtualenv/issues/49>)
    * Clean up options, virtualenv installs setuptools by default
    * Make sure we install a compatible setuptools version for py2 venv
  * catkin-pkg-modules has disappeared off pypi (#46 <https://github.com/locusrobotics/catkin_virtualenv/issues/46>)
    * catkin-pkg-modules has disappeared off pypi, but catkin-pkg is still there
    * Version all requirements
  * Contributors: David V. Lu!!, Michael Johnson, Paul Bovbel, abencz

 -- Paul Bovbel <pbovbel@locusrobotics.com>  Tue, 14 Jul 2020 04:00:00 -0000

ros-melodic-catkin-virtualenv (0.5.0-1bionic) bionic; urgency=high

  * Don't inherit requirements from exec_depends (#45 <https://github.com/locusrobotics/catkin_virtualenv/issues/45>)
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@locusrobotics.com>  Fri, 21 Jun 2019 04:00:00 -0000

ros-melodic-catkin-virtualenv (0.4.1-1bionic) bionic; urgency=high

  * VCS support (#40 <https://github.com/locusrobotics/catkin_virtualenv/issues/40>)
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@locusrobotics.com>  Tue, 11 Jun 2019 04:00:00 -0000

ros-melodic-catkin-virtualenv (0.4.0-1bionic) bionic; urgency=high

  * Pin pip to known-working version (#38 <https://github.com/locusrobotics/catkin_virtualenv/issues/38>)
  * Fix python3 isolated builds (#37 <https://github.com/locusrobotics/catkin_virtualenv/issues/37>)
    - Pull in an upstream fix to deal with new shebang styles
    - add a new test for isolated py3 virtualenvs
    - switch to using an internal pip module
  * venv module doesn't support no-site-packages arg
  * Pass arguments to internal venv module if specified (#36 <https://github.com/locusrobotics/catkin_virtualenv/issues/36>)
  * Add missing dependency
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@locusrobotics.com>  Mon, 18 Mar 2019 04:00:00 -0000

ros-melodic-catkin-virtualenv (0.3.0-1bionic) bionic; urgency=high

  * Add retry to virtualenv creation (#34 <https://github.com/locusrobotics/catkin_virtualenv/issues/34>)
    * Echo check_call to stderr
    * Fixup bug from #33 <https://github.com/locusrobotics/catkin_virtualenv/issues/33>
    * Add retry to virtualenv generation
    * Add debug line for virtualenv


=== debian/control ===
Source: ros-melodic-catkin-virtualenv
Section: misc
Priority: optional
Maintainer: Paul Bovbel <pbovbel@locusrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-roslint
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-catkin-virtualenv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-dev, python3-dev, python3-nose, python3-rospkg-modules, python3-venv, ros-melodic-rosbash, virtualenv
Description: Bundle python requirements in a catkin package via virtualenv.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-catkin-virtualenv//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
